Limerence
Users

Get User Details

Get detailed user information including sessions, teams, and usage stats (admin only)

GET
/users/{id}/details

Get detailed user information including sessions, teams, and usage stats (admin only)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/users/string/details"
{  "sessions": {    "count": 0,    "recent": [      {        "createdAt": "string",        "expiresAt": "string",        "id": "string",        "ipAddress": null,        "userAgent": null      }    ]  },  "teams": [    {      "id": "string",      "joinedAt": null,      "name": "string",      "role": "string"    }  ],  "usage": {    "lastActiveAt": "string"  },  "user": {    "banned": null,    "banReason": null,    "createdAt": "string",    "email": null,    "id": "string",    "name": "string",    "role": null  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}